> ## Documentation Index
> Fetch the complete documentation index at: https://docs.d-api.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar mensagem com áudio

> Envia um áudio ou nota de voz (ptt) via WhatsApp



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/messages/send/audio
openapi: 3.1.0
info:
  title: D-API - Infraestrutura WhatsApp Completa
  description: >-
    Solução escalável e robusta para gestores de automação, SaaS e usuários
    finais que precisam de uma integração WhatsApp confiável. Oferece múltiplas
    instâncias simultâneas, webhooks em tempo real, dashboard intuitivo e API
    REST documentada com 99.9% de uptime e latência inferior a 30ms.
  version: 1.2.0
  contact:
    name: Suporte D-API
    email: suporte@d-api.cloud
    url: https://d-api.cloud
servers:
  - url: https://api.d-api.cloud
    description: Produção
security:
  - ApiKeyAuth: []
tags:
  - name: Início
    description: Endpoints base
  - name: Sessões
    description: Endpoints para gerenciamento de sessões
  - name: Mensagens
    description: Endpoints para envio de mensagens
  - name: Ligações URA
    description: >-
      Disparo de ligações de voz (URA): individual ou em massa, com áudio ou
      fluxo IVR.
  - name: SMS
    description: 'Envio de SMS: individual ou em massa.'
paths:
  /api/v1/messages/send/audio:
    post:
      tags:
        - Mensagens
      summary: Enviar mensagem com áudio
      description: Envia um áudio ou nota de voz (ptt) via WhatsApp
      operationId: postApiV1MessagesSendAudio
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                sessionId:
                  minLength: 1
                  type: string
                to:
                  minLength: 1
                  type: string
                audio:
                  minLength: 1
                  type: string
                ptt:
                  type: boolean
                contextInfo:
                  description: >-
                    Whatsmeow ContextInfo proto JSON. Supports mentions, replies
                    (quotedMessage), forwarding, ads, and other metadata.
                  examples:
                    - stanzaId: BAE5C3F2E3D4
                      participant: 5511999999999@s.whatsapp.net
                      mentionedJid:
                        - 5511888888888@s.whatsapp.net
                      quotedMessage:
                        conversation: Original message
                mentionAll:
                  type: boolean
              required:
                - sessionId
                - to
                - audio
          multipart/form-data:
            schema:
              type: object
              properties:
                sessionId:
                  minLength: 1
                  type: string
                to:
                  minLength: 1
                  type: string
                audio:
                  minLength: 1
                  type: string
                ptt:
                  type: boolean
                contextInfo:
                  description: >-
                    Whatsmeow ContextInfo proto JSON. Supports mentions, replies
                    (quotedMessage), forwarding, ads, and other metadata.
                  examples:
                    - stanzaId: BAE5C3F2E3D4
                      participant: 5511999999999@s.whatsapp.net
                      mentionedJid:
                        - 5511888888888@s.whatsapp.net
                      quotedMessage:
                        conversation: Original message
                mentionAll:
                  type: boolean
              required:
                - sessionId
                - to
                - audio
          text/plain:
            schema:
              type: object
              properties:
                sessionId:
                  minLength: 1
                  type: string
                to:
                  minLength: 1
                  type: string
                audio:
                  minLength: 1
                  type: string
                ptt:
                  type: boolean
                contextInfo:
                  description: >-
                    Whatsmeow ContextInfo proto JSON. Supports mentions, replies
                    (quotedMessage), forwarding, ads, and other metadata.
                  examples:
                    - stanzaId: BAE5C3F2E3D4
                      participant: 5511999999999@s.whatsapp.net
                      mentionedJid:
                        - 5511888888888@s.whatsapp.net
                      quotedMessage:
                        conversation: Original message
                mentionAll:
                  type: boolean
              required:
                - sessionId
                - to
                - audio
      responses:
        '200':
          description: Resposta bem-sucedida
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'API Key para autenticação. Formato: <API_KEY>'

````